[pypy-issue] [issue1402] Problem with "Getting Started with PyPy’s Python Interpreter" doc

Roy Feldman tracker at bugs.pypy.org
Tue Feb 19 04:52:47 CET 2013


Roy Feldman <roy.feldman at gmail.com> added the comment:

I have installed the pypy-2.0-beta1-linux64-libc2.15 tarball and pypy seems to
be working fine. 

However,  I am unable to successfully complete the instructions at
http://doc.pypy.org/en/latest/getting-started-python.html
 
1) If I follow the "Translating the PyPy Python interpreter" instructions,
everything is fine until I get to step 4, which tells me to do the following:
cd pypy/goal
python ../../rpython/bin/rpython --opt=jit targetpypystandalone.py 

I don't see a goal sub-directory and even if I create one, I don't see anything
corresponding to rpython and I can't proceed.

2) If I follow the "Running the Python Interpreter Without Translation" section,
I find that I don't have pyinteractive.py in my bin directory. In fact, the
only file I have in my bin directory from the tarball is pypy.

What have I missed? Is there something else I need to download?

________________________________________
PyPy bug tracker <tracker at bugs.pypy.org>
<https://bugs.pypy.org/issue1402>
________________________________________


More information about the pypy-issue mailing list